Data Source Properties

Specify how to connect to the data source, end point URL, method (GET/POST). Each data source has its own set of properties.

GET /datasources/{id}/properties

FieldDescription
DescriptionGet the properties for the specific data source ID.
Permissionsdashboard.library
Resource URLhttps://app.klipfolio.com/api/1.0/datasources/{id}/properties
Parametersid={datasource id}
optional: client_id (string) — show only datasource properties that belong to a specific client

Example Request

GET https://app.klipfolio.com/api/1/datasources/0123456789abcdef0123456789abcdef/properties
GET https://app.klipfolio.com/api/1/datasources/0123456789abcdef0123456789abcdef/properties?client_id=12345432235361

Example Response

{
  "data": {
    "properties": "The response here depends on the datasource type"
  },
  "meta": {
    "status": 200,
    "success": true
  }
}

PUT /datasources/{id}/properties

FieldDescription
DescriptionCreate or update the properties for this data source. If the property exists, it will be updated. If the specified property does not already exist, it is created.
Permissionsdatasource.edit
Resource URLhttps://app.klipfolio.com/api/1.0/datasources/{id}/properties
Parametersid={datasource id}
optional: client_id (string) — update only datasource properties that belong to a specific client

Example Request

PUT https://app.klipfolio.com/api/1/datasources/0123456789abcdef0123456789abcdef/properties 
-d '{"properties": {"endpoint_url": "http://abcd.com", "other_example_prop": "something"}}'
PUT https://app.klipfolio.com/api/1/datasources/0123456789abcdef0123456789abcdef/properties?client_id=12345432235361 -d {"properties": {"endpoint_url": "http://abcd.com", "other_example_prop": "something"}}

Example Response

{
  "meta": {
    "status": 200,
    "success": true
  }
}

DELETE /datasources/{id}/properties

FieldDescription
DescriptionDelete a specific datasource property.
Permissionsdatasource.edit
Resource URLhttps://app.klipfolio.com/api/1.0/datasources/{id}/properties
Parametersid={datasource id}
optional: client_id (string) — delete datasource properties that belong to a specific client

Example Request

DELETE https://app.klipfolio.com/api/1/datasources/0123456789abcdef0123456789abcdef/properties?name='Stuff'
DELETE https://app.klipfolio.com/api/1/datasources/0123456789abcdef0123456789abcdef/properties?client_id=12345432235361&name='Stuff'

Example Response

{
  "meta": {
    "status": 200,
    "success": true
  }
}